import { type YTError } from '../../@types/types';
export declare function getYtPageIdParts(url: string): PageId;
interface PageId {
    parts: Array<string>;
    toString(): string;
    getPage(): string;
}
export declare function isYTError(error: unknown): error is YTError;
export declare function makeRegexpFromSettings(value?: string): RegExp | undefined;
export {};
